de.esprit.appsuite.launch

## Class SimpleErrorHandlerSupportAdapter<C extends ApplicationContext>

- java.lang.Object
- - de.esprit.appsuite.launch.SimpleErrorHandlerSupportAdapter<C>

- All Implemented Interfaces:
    ApplicationObject<C>, SimpleErrorHandlerSupport

      public class SimpleErrorHandlerSupportAdapter<C extends ApplicationContext>
      extends java.lang.Object
      implements SimpleErrorHandlerSupport, ApplicationObject<C>

  This is class is a default implementation for `SimpleErrorHandlerSupport`
  Author:
    Rainer Buesch

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SimpleErrorHandlerSupportAdapter(C ctx, java.lang.Object caller)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `C` | `getApplicationContext()`
    `void` | `showError(java.lang.Exception e)`
    `void` | `showError(java.lang.String message, java.lang.Exception e)`
    `void` | `showError(java.lang.String message, java.lang.String details, java.lang.Exception e)`
    `void` | `showInfo(java.lang.String message)`
    `void` | `showInfo(java.lang.String message, java.lang.String details)`
    `void` | `showWarning(java.lang.String message)`
    `void` | `showWarning(java.lang.String message, java.lang.String details)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SimpleErrorHandlerSupportAdapter

          public SimpleErrorHandlerSupportAdapter(C ctx,
                                          java.lang.Object caller)

  - ### Method Detail

    - #### getApplicationContext

          public final C getApplicationContext()

      Specified by:
        `getApplicationContext` in interface `ApplicationObject<C extends ApplicationContext>`

    - #### showError

          public void showError(java.lang.Exception e)

      Specified by:
        `showError` in interface `SimpleErrorHandlerSupport`

    - #### showError

          public void showError(java.lang.String message,
                       java.lang.Exception e)

      Specified by:
        `showError` in interface `SimpleErrorHandlerSupport`

    - #### showError

          public void showError(java.lang.String message,
                       java.lang.String details,
                       java.lang.Exception e)

      Specified by:
        `showError` in interface `SimpleErrorHandlerSupport`

    - #### showInfo

          public void showInfo(java.lang.String message)

      Specified by:
        `showInfo` in interface `SimpleErrorHandlerSupport`

    - #### showInfo

          public void showInfo(java.lang.String message,
                      java.lang.String details)

      Specified by:
        `showInfo` in interface `SimpleErrorHandlerSupport`

    - #### showWarning

          public void showWarning(java.lang.String message)

      Specified by:
        `showWarning` in interface `SimpleErrorHandlerSupport`

    - #### showWarning

          public void showWarning(java.lang.String message,
                         java.lang.String details)

      Specified by:
        `showWarning` in interface `SimpleErrorHandlerSupport`

Copyright © 2011 EsprIT-Systems. All Rights Reserved.